﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="sqlbinding._Default" %>



<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <ej:Button runat='server' Type="Button" Text="getRecords" ClientSideOnClick="onClick" />


    <ej:Grid id="FlatGrid" ClientIDMode="Static" runat='server' AllowPaging="true"> 
        <ClientSideEvents RowSelected="rowselected" DataBound="databound" />
        <Columns>
            <ej:Column  Type="checkbox" />
            <ej:Column Field="OrderID" HeaderText="Order ID" Type="number" IsPrimaryKey="True" />
            <ej:Column Field="CustomerID" HeaderText="Customer ID" Type="string" />
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" EditType="Dropdown"/>
            <ej:Column Field="Freight" HeaderText="Freight" Type="number" EditType="Numeric" Format="{0:C}" />
            <ej:Column Field="ShipCity" HeaderText="Ship City" Type="string" />
        </Columns>
    </ej:Grid>

    <script>
        window.records = [];
        function databound(args) {
            //to handle the header checkbox selection 
            //works only for local dataSource 
            $('.e-checkselectall').click(function () {
                if (!$(this).is(':checked'))
                    window.records = [];
                else {
                    window.records = $("#FlatGrid").ejGrid("model.dataSource");
                }
            });

        }
        function rowselected(args) {
            if ($(args.target).prop('checked') == false)
                window.records.push(args.data);
            else if ($(args.target).prop('checked')) {
                for (var i = 0; i < window.records.length; i++) {
                    if (window.records[i].OrderID == args.data.OrderID) {
                        window.records.splice(i, 1);
                        break;
                    }
                }
            }

        }
        function onClick(args){
            var obj = $("#FlatGrid").ejGrid("instance");
            console.log(window.records);
        }

    </script>

</asp:Content>



